// WASTE Object public routines.
//
//		maintained by Michael F. Kamprath, kamprath@kagi.com
//		and John C. Daub, hsoi@eden.com
//
// v1.2 28 March 1996.  Minor "compatability" updates.  Added more precompiler directives
//						Added new function prototypes

#ifndef _WASTEOBJECTS_
	#define _WASTEOBJECTS_


#ifndef __SOUND__
	#include <Sound.h>
#endif

#ifndef _WASTE_
	#include "WASTE.h"
#endif

#ifndef __ICONS__
	#include <Icons.h>
#endif

#ifndef __SOUNDINPUT__
	#include <SoundInput.h>
#endif

#if !defined(GENERATINGPOWERPC) && !defined(GENERATING68K)
typedef Handle SndListHandle;
#endif

#ifdef __cplusplus
extern "C" {
#endif

// Initialization

void	InitWASTEObjectHandlers( void );	// performs internal initializations
void	ExitWASTEObjectHandlers( void );	// performs internal exit/clean-ups

OSErr	InstallAllWASTEObjHandlers( WEReference theWE );  // Installs all object handlers

OSErr	InstallPICTObject( WEReference theWE );
OSErr	InstallSoundObject( WEReference theWE );
OSErr	InstallHFSObject( WEReference theWE );

// Utility routines

OSErr			DoObjectTasks( WEReference theWE );	// perform periodic tasks for objects
pascal OSErr	WEObjectsPaste( WEReference hWE );	// replaces WEPaste() to allow for special
													// handling of objects during a paste



// PICT Object public routines

// Sound object public routines

void	CheckSoundStatus( void );
OSErr	PlaySelectedSound( WEReference theWE );
OSErr	StopCurrentSound( void );
Boolean	SoundIsPlaying( void );

OSErr	CreateNewSoundObject( WEReference theWE );
OSErr	PlaySoundHandle( SndListHandle theSound );

// File object public routines

OSErr	InsertFileRefFromFSSpec( FSSpec *theFile, WEReference theWE );

#ifdef __cplusplus
}
#endif

#endif // _WASTEOBJECTS_